Bug 807320 - Error with rpm_check_debug vs depsolve
Error with rpm_check_debug vs depsolve
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.6
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:53 EDT by david.r.yingling.ctr
Modified: 2014-01-21 01:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 10:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from yum -v -d9 (10.49 KB, application/octet-stream)
2012-03-27 09:53 EDT, david.r.yingling.ctr
no flags Details

  None (edit)
Description david.r.yingling.ctr 2012-03-27 09:53:35 EDT
Created attachment 573072 [details]
output from yum -v -d9

Description of problem:
unable to update libstdc++-devel

Version-Release number of selected component (if applicable):
Yum Version: 3.2.22


How reproducible:
yum update libstdc++-devel-4.1.2-51.el5.i386.rpm (from local repository)

Steps to Reproduce:
1. yum update libstdc++-devel-4.1.2-51.el5.i386.rpm (from local repository)
2.
3.
  
Actual results:


Expected results:


Additional info:
rpm -Va --nofiles --nodigest : no output
package-cleanup --problems:  no problems
package-cleanup --dupes: setting up yum
rpm --rebuilddb: rebuilt
Comment 1 James Antill 2012-04-24 10:34:04 EDT
 The problem here looks like you have:

pkgA-1-1.i386 (requires pkgB-1-1)
pkgA-1-1.x86_64 (requires pkgB-1-1)
pkgB-1-1.i386 (requires pkgC-1-1)
pkgB-1-1.x86_64 (requires pkgC-1-1)
pkgC-1-1.i386
pkgC-1-1.x86_64

...and are doing a local upgrade of just pkgA.i386 pkgB.i386 ... and for some reason yum is getting confused and updating everything except pkgA-1-1.x86_64.

 At this point in RHEL-5, I think the best advice is probably "don't do that".

Note You need to log in before you can comment on or make changes to this bug.